# GenerateMavenPom

API Documentation: | `GenerateMavenPom`

Note: This class is incubating and may change in a future version of Gradle.

Generates a Maven module descriptor (POM) file.

### Properties

Property | Description
`destination` | Incubating The file the POM will be written to.
`pom` | Incubating The Maven POM.

### Property details

#### `File` `destination`

Note: This property is incubating and may change in a future version of Gradle.

The file the POM will be written to.

#### `MavenPom` `pom`

Note: This property is incubating and may change in a future version of Gradle.

The Maven POM.

### Script blocks

No script blocks

### Methods

No methods